package gui.view;

import gui.MainApp;
import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.control.ChoiceBox;

/*
 * Die Klasse TurntableController stellt den Controller fr die Bedienelemente zur Steuerung der Drehscheibe bereit. 
 */

public class TurntableController {

	@FXML
	private Button turntableLeftButton;
	@FXML
	private Button turntableRightButton;
	@FXML
	private ChoiceBox<Number> slotChoiceBox;
	private MainApp mainApp;
		
	/**
	 * Initializes the controller class. This method is automatically called
	 * after the fxml file has been loaded.
	 */
	@FXML
	private void initialize() {
		
	}
	
	/**
	 * Is called by the main application to give a reference back to itself.
	 * 
	 * @param mainApp
	 */
	public void setMainApp(MainApp mainApp) {
	    this.mainApp = mainApp;
	    
	}
	
	// Is called by an onClick event on the left button and calls the according function in the main app
	public void handleTurnCCW (){
		mainApp.turntableTurnCCW();
		mainApp.setStatus("Letztes Kommando: Drehteller links drehen");
	}
	
	// Is called by an onClick event on the right button and calls the according function in the main app
	public void handleTurnCW (){
		mainApp.turntableTurnCW();
		mainApp.setStatus("Letztes Kommando: Drehteller rechts drehen");
	}
}
