package maerklinProject_GUI;

import javafx.application.*;
import javafx.fxml.*;
import javafx.scene.Scene;
import javafx.scene.layout.AnchorPane;
import javafx.stage.Stage;

public class maerklinProject_GUI extends Application {
	
	public static void main (String args) {
		launch(args);
	}

	@Override
	public void start(Stage primaryStage) throws Exception {
		try {
			FXMLLoader loader = new FXMLLoader(getClass().getResource("maerklinProject_GUI.fxml"));
			
			AnchorPane pane = loader.load();
			
			primaryStage.setMinHeight(pane.getPrefHeight());
			primaryStage.setMinWidth(pane.getPrefWidth());
			
			maerklinProject_GUIController guiController = loader.getController();
			
			Scene scene = new Scene(pane);
			primaryStage.setTitle("Maerklin Control Client");
			primaryStage.setScene(scene);
			primaryStage.show();
		}
		catch (Exception e) {
			e.printStackTrace();
		}
	}

}
