package briefmarkenautomat;

import java.util.Scanner;

public class UserInteraction {
	
	final static String UE_EXCEPTION = "Ungueltige Eingabe";
	final static String EXIT_EXCEPTION = "Exit";
	final static String PN_EXCEPTION = "Programmneustart"; 
	
	private Scanner sc;
	
	public UserInteraction(){
		sc = new Scanner(System.in);
	}
	
	public String scan() throws IllegalArgumentException {
		String message = sc.next();
		if (message.equals("a")){
			IllegalArgumentException e = new IllegalArgumentException(PN_EXCEPTION);
			throw e;
		}
		else if (message.equals("exit")){
			IllegalArgumentException e = new IllegalArgumentException(EXIT_EXCEPTION);
			throw e;
		}
		else {
			return message;
		}
	}
	
	public void closeScanner(){
		sc.close();
	}

}
