package briefmarkenautomat;

import static org.junit.Assert.*;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

/**
 * @author lukas
 *
 */
public class SendungstypTest {
	
	private static Typ testTyp;
	private static Sendungstyp testSendungstyp;
	
	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void SetUpBeforeClass() throws Exception {
		testSendungstyp = new Sendungstyp();
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
		testTyp = null;
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
		testTyp = new Typ("Postkarte", 0.45, 0.0, 0);
	}

	/**
	 * Test method for {@link briefmarkenautomat.Sendungstyp#typ(double, int)}.
	 */
	@Test
	public final void testTyp() {
		Typ rueckgabe = testSendungstyp.typ(0, 0);
		assertEquals(rueckgabe.getBezeichnung(), "Postkarte");
		assertEquals(rueckgabe.getMaxGewicht(), 0);
		assertEquals(rueckgabe.getMaxHoehe(), 0, 0.0001);
		assertEquals(rueckgabe.getPorto(), 0.45, 0.0001);
	}

}
