package common;

public class Properties {
	
	// Defining server-ip and port
	public final static int PORT = 23456;
	
	// Setting ports and defining size of the buffers
	public final static int IN_BUFFER_SIZE = 5;	// First and second byte: accessory-ID, third byte: command, fourth fifth byte: potential parameters
	public final static int OUT_BUFFER_SIZE = 1024;
	
	// Defining client-commands
	public final static int SESSION_ABORT = -1;

	public final static byte SYSTEM_STOP = 0x00;
	public final static byte SYSTEM_GO = 0x01;
	public final static byte GET_STATUS = 0x02;
	public final static byte ENGINE_SET_SPEED = 0x03;
	public final static byte ENGINE_INCREASE_SPEED = 0x04;
	public final static byte ENGINE_DECREASE_SPEED = 0x05;
	public final static byte ENGINE_SET_DIRECTION = 0x06;
	public final static byte ENGINE_SWITCH_DIRECTION = 0x07;
	public final static byte SWITCH_SET_DIRECTION = 0x08;
	public final static byte SWITCH_SWITCH_DIRECTION = 0x09;
		
	//Defining accessory-ids
	public final static int ICE_ID = 0x0002;
	public final static int LOK_ID = 0x4005;
	public final static int REICHSBAHN_ID = 0x4007;
		
	public final static int SWITCH4_ID = 0x3003;
	public final static int SWITCH5_ID = 0x3004;
	public final static int SWITCH6_ID = 0x3005;
	public final static int SWITCH8_ID = 0x3007;
	public final static int SWITCH9_ID = 0x3008;
	public final static int SWITCH10_ID = 0x3009;
	public final static int SWITCH12_ID = 0x300B;
	public final static int SWITCH13_ID = 0x300C;
	public final static int SWITCH14_ID = 0x300D;
	public final static int SWITCH15_ID = 0x300E;
	public final static int TURNTABLE_ID = 0x30E2;

}
