package versuch2;

public class Lok {
	
	private int id;
	private String name;
	private int direction;
	private int speed;
	
	public Lok(int id, String name){
		try {
			setID(id);
			setName(name);
		}
		catch(Exception e){
			System.out.println(e.getMessage());
		}
	}
	
	public int getID(){
		return id;
	}
	
	public void setID(int id){
		this.id = id;
	}
	
	public String getName(){
		return name;
	}
	
	public void setName(String name){
		this.name = name;
	}
		
	public void setDirection(int newDirection) throws Exception {
		if (newDirection == 1 || newDirection == 2){
			direction = newDirection;
		}
		else if (newDirection == 3){
			if (direction == 1){
				direction = 2;
			}
			else {
				direction = 1;
			}
		}
		else {
			Exception e = new Exception("No viable direction!");
			throw e;
		}
		MaerklinProtokoll.setDirection(id, direction);
		UDPListener.listen();
		if (direction != UDPListener.getEngineDirection()){
			Exception e = new Exception("Communication Error!");
			throw e;
		}
	}
	
	public void setSpeed(int newSpeed) throws Exception {
		if (newSpeed <= 1000 && newSpeed >= 0){
			speed = newSpeed;
		}
		else {
			Exception e = new Exception("No viable speed value!");
			throw e;
		}
		MaerklinProtokoll.setSpeed(id, speed);
		UDPListener.listen();
		if (speed != UDPListener.getEngineSpeed()){
			Exception e = new Exception("Communication Error!");
			throw e;
		}
	}
	
	public void incSpeed() throws Exception {
		speed = speed+50;
		MaerklinProtokoll.setSpeed(id, speed);
		UDPListener.listen();
		if (speed != UDPListener.getEngineSpeed()){
			Exception e = new Exception("Communication Error!");
			throw e;
		}
	}
	
	public void decSpeed() throws Exception{
		speed = speed-50;
		MaerklinProtokoll.setSpeed(id, speed);
		UDPListener.listen();
		if (speed != UDPListener.getEngineSpeed()){
			Exception e = new Exception("Communication Error!");
			throw e;
		}
	}
	
	public int getEngineID(){
		return id;
	}
	
	public int getEngineDirection(){
		return direction;
	}
	
	public int getEngineSpeed(){
		return speed;
	}

}
