package udp;

import java.util.ArrayList;

public class Lok {

	int uid;
	int speed;
	boolean directionIsFwd;
	public static ArrayList<Lok> loks = new ArrayList<Lok>();
	
	public Lok(int uid, int speed, boolean directionIsFwd){
		this.uid = uid;
		this.speed = speed;
		this.directionIsFwd = directionIsFwd;
		loks.add(this);
	}
	
	public void driveFaster(){
		speed += 50;
		MaerklinProtokoll.changeTrainSpeed(speed, uid);
	}
	
	public void driveSlower(){
		speed -= 50;
		if(speed <=0)
			speed = 0;
		MaerklinProtokoll.changeTrainSpeed(speed, uid);
	}
	
	public void changeDirection(){
		directionIsFwd = !directionIsFwd;
		MaerklinProtokoll.changeTrainDirection(uid);
	}
	
	public int getUid(){return this.uid;}
	public boolean getDirection(){return this.directionIsFwd;}
	public void setSpeed(int speed){this.speed = speed;}
	public void setDirection(boolean directionIsFwd){this.directionIsFwd = directionIsFwd;}
	
	public static void updateSpeed(byte[] uid, int speed){
		for(int i=0;i<loks.size();i++)
			if((uid[0] == loks.get(i).getUid()/256) && (uid[1] == loks.get(i).getUid()%256))
				loks.get(i).setSpeed(speed);
	}
	
	public static void updateDirection(byte[] uid, boolean directionIsFwd){
		for(int i=0;i<loks.size();i++)
			if((uid[0] == loks.get(i).getUid()/256) && (uid[1] == loks.get(i).getUid()%256))
				loks.get(i).setDirection(directionIsFwd);
	}
	
	public static void switchDirection(byte[] uid){
		for(int i=0;i<loks.size();i++)
			if((uid[0] == loks.get(i).getUid()/256) && (uid[1] == loks.get(i).getUid()%256))
				loks.get(i).setDirection(!loks.get(i).getDirection());
	}
	
}
