package gui.model;

import java.net.InetAddress;
import java.net.InetSocketAddress;

import common.Properties;
import javafx.beans.property.IntegerProperty;
import javafx.beans.property.BooleanProperty;
import javafx.beans.property.StringProperty;
import javafx.beans.property.ObjectProperty;
import javafx.beans.property.SimpleIntegerProperty;
import javafx.beans.property.SimpleBooleanProperty;
import javafx.beans.property.SimpleStringProperty;
import javafx.beans.property.SimpleObjectProperty;


/**
 * Model class for a Model Engine.
 *
 * @author Philipp Stenkamp
 */
public class Settings {
	private final ObjectProperty<InetSocketAddress> server;

    /**
     * Default constructor.
     */
    public Settings() {
    	this.server = new SimpleObjectProperty<InetSocketAddress> (new InetSocketAddress("lukas-Aspire-V7-582PG", Properties.PORT));
    	
    }
    
    public ObjectProperty<InetSocketAddress> getSocketAddress() {
		return server;
	}
	
	public void setSocketAddress(InetSocketAddress server) {
		this.server.set(server);
	}
	
}
