package server;

public class MaerklinServerApplication {
	
	// Defining a threshold value for when the status-update is to be executed (in milliseconds)
	private final static long updateThreshold = 100;

	public static void main(String[] args) {
		
		// Creating timestamp for the update-functionality
		long timestamp = System.currentTimeMillis();
		
		// Calling constructor
		MaerklinServer server = new MaerklinServer();
		
		// Starting listener-thread
		server.startListener();
		
		while (true){
			if (System.currentTimeMillis()-timestamp >= updateThreshold) {
				server.statusUpdate();
				timestamp = System.currentTimeMillis();
			}
			server.listen();
		}
	}

}
