package versuch2;

import java.net.DatagramPacket;
import java.net.DatagramSocket;
import java.net.InetAddress;
import javax.xml.bind.DatatypeConverter;
import java.lang.*;

public class Listener extends Thread{
	private static int port = 15730;
	private static String ip ="127.0.0.1";
	
	private byte[] in = new byte[13];
	
	public Listener(int port, String ip){
		Listener.port = port;
		Listener.ip = ip;
	}
	
	public static void run(String args[]){
			try(DatagramSocket socket = new DatagramSocket(port)){
				socket.setReuseAddress(true);
				byte[] packet = new byte[13];
				DatagramPacket incomingData = new DatagramPacket(packet, packet.length);
				while (true){
					socket.receive(incomingData);
					printDatagram(packet);
					if(getCMD(packet)==0x08)
						System.out.print("\n   Geschwindigkeit der Lok " + getAddr(packet) + ": " + getSpeed(packet));	
					
					if(getCMD(packet)==0x0A)
						System.out.print("\n   Richtung der Lok " + getAddr(packet) + ": " + getDirection(packet) + "(" + printDirection(packet) + ")");	
					
					if(getCMD(packet)==0x16)
						System.out.print("\n   Status der Weiche " + getAddr(packet) + ": " + getDirection(packet));	
						
					
				}
			} 
			catch (Exception e) {
				e.printStackTrace();
			}
		
		
	}
	
}
